Index: FL/Fl_Help_Dialog.H
===================================================================
--- FL/Fl_Help_Dialog.H	(revision 12541)
+++ FL/Fl_Help_Dialog.H	(working copy)
@@ -67,7 +67,7 @@
   ~Fl_Help_Dialog();
   int h();
   void hide();
-  void load(const char *f);
+  int load(const char *f);
   void position(int xx, int yy);
   void resize(int xx, int yy, int ww, int hh);
   void show();
Index: src/Fl_Help_Dialog.cxx
===================================================================
--- src/Fl_Help_Dialog.cxx	(revision 12541)
+++ src/Fl_Help_Dialog.cxx	(working copy)
@@ -221,10 +221,11 @@
   window_->hide();
 }
 
-void Fl_Help_Dialog::load(const char *f) {
+int Fl_Help_Dialog::load(const char *f) {
   view_->set_changed();
-  view_->load(f);
+  if ( view_->load(f) == -1 ) return -1;
   window_->label(view_->title());
+  return 0;
 }
 
 void Fl_Help_Dialog::position(int xx, int yy) {
Index: src/Fl_Help_Dialog.fl
===================================================================
--- src/Fl_Help_Dialog.fl	(revision 12541)
+++ src/Fl_Help_Dialog.fl	(working copy)
@@ -29,6 +29,9 @@
 } {in_source in_header
 }
 
+decl {\#include <FL/Fl_Shared_Image.H>} {selected private local
+}
+
 decl {\#include "flstring.h"} {private local
 }
 
@@ -53,7 +56,7 @@
       label {Help Dialog} open
       private xywh {398 64 530 385} type Double hide resizable size_range {260 150 0 0}
     } {
-      Fl_Group {} {open selected
+      Fl_Group {} {open
         xywh {10 10 511 25}
       } {
         Fl_Button back_ {
@@ -187,11 +190,12 @@
   } {
     code {window_->hide();} {}
   }
-  Function {load(const char *f)} {return_type void
+  Function {load(const char *f)} {return_type int
   } {
     code {view_->set_changed();
-view_->load(f);
-window_->label(view_->title());} {}
+if ( view_->load(f) == -1 ) return -1;
+window_->label(view_->title());
+return 0;} {}
   }
   Function {position(int xx, int yy)} {return_type void
   } {
Index: src/Fl_Help_Dialog_Dox.cxx
===================================================================
--- src/Fl_Help_Dialog_Dox.cxx	(revision 12541)
+++ src/Fl_Help_Dialog_Dox.cxx	(working copy)
@@ -37,9 +37,10 @@
 /** \fn void Fl_Help_Dialog::hide()
   Hides the Fl_Help_Dialog window.*/
 
-/** \fn void Fl_Help_Dialog::load(const char *f)
+/** \fn int Fl_Help_Dialog::load(const char *f)
   Loads the specified HTML file into the Fl_Help_View widget.
   The filename can also contain a target name ("filename.html#target").
+  Returns 0 on success, -1 on error.
 */
 
 /** \fn void Fl_Help_Dialog::position(int x, int y)
